import 'dart:ui';
import 'package:get/get.dart';
import 'package:webview_flutter/webview_flutter.dart';

class FaqController extends GetxController {
  WebViewController? webViewController;
  var isLoading = true.obs;

  @override
  void onInit() {
    super.onInit();
    initializeWebView();
  }

  void initializeWebView() {
    webViewController = WebViewController()
      ..setJavaScriptMode(JavaScriptMode.unrestricted)
      ..setBackgroundColor(const Color(0x00000000))
      ..setNavigationDelegate(
        NavigationDelegate(
          onPageStarted: (url) {
            isLoading.value = true;
            print('Started loading: $url');
          },
          onPageFinished: (url) {
            isLoading.value = false;
            print('Finished loading: $url');
          },
          onWebResourceError: (error) {
            isLoading.value = false;
            print('WebView error: ${error.description}');
          },
        ),
      );
    loadFaqUrl();
  }

  Future<void> loadFaqUrl() async {
    if (webViewController != null) {
      try {
        await webViewController!.loadRequest(Uri.parse('https://nearle.in/faq'));
      } catch (e) {
        print('Error loading URL: $e');
      }
    }
  }
}
